import React from 'react';
import ReactDOM from 'react-dom';
import classNames from 'classnames';

export default class Demo extends React.Component {
  static contextTypes = {
    intl: React.PropTypes.object,
  }

  constructor(props) {
    super(props);

    this.state = {
      codeExpand: false,
    };
  }

  componentWillReceiveProps(nextProps) {
    if (nextProps.expand === undefined) return;

    this.setState({
      codeExpand: nextProps.expand,
    });
  }

  handleCodeExapnd = () => {
    this.setState({ codeExpand: !this.state.codeExpand });
  }

  render() {
    const props = this.props;
    const {
      meta,
      src,
      content,
      preview,
      vueScript,
      highlightedCode,
      style,
      highlightedStyle,
    } = props;

    const randomEle = 'J_vue_' + Math.random().toString(36).substring(2);

    const execScript = () => {
      if (vueScript) {
        const fun = vueScript.replace(/([^\r?\n]el:\s*['"]{1})body(['"]{1})/, '$1#'+ randomEle +'$2');
        // const transformedCode = Babel.transform(fun, {presets: ['es2015']}).code;
        setTimeout(() => {
          eval(fun);
        },0)
      }
    }


    const codeExpand = this.state.codeExpand;
    const codeBoxClass = classNames({
      'code-box': true,
      expand: codeExpand,
    });

    const locale = this.context.intl.locale;
    const localizedTitle = meta.title[locale] || meta.title;
    const localizeIntro = content[locale] || content;
    const introChildren = props.utils
            .toReactComponent(['div'].concat(localizeIntro));

    const highlightClass = classNames({
      'highlight-wrapper': true,
      'highlight-wrapper-expand': codeExpand,
    });
    return (
      <section className={codeBoxClass} id={meta.id}>
        <section id={randomEle} className="code-box-demo">
          {
            meta.iframe ?
              <iframe src={src} /> : 
              <div dangerouslySetInnerHTML={{ __html: preview}} />
          }
          {
            execScript()
          }
          {
            !!style ?
              <style dangerouslySetInnerHTML={{ __html: style }} /> :
              null
          }

        </section>
        <section className="code-box-meta markdown">
          <div className="code-box-title">
            <a href={`#${meta.id}`}>
              {localizedTitle}
            </a>
          </div>
          {introChildren}
          <span className="collapse anticon anticon-circle-o-right"
            onClick={this.handleCodeExapnd}
            unselectable="none"
          />
        </section>
        <section className={highlightClass}
          key="code"
        >
          <div className="highlight">
            {props.utils.toReactComponent(highlightedCode)}
          </div>
          {
            highlightedStyle ?
              <div key="style" className="highlight">
                <pre>
                  <code className="css" dangerouslySetInnerHTML={{
                    __html: highlightedStyle,
                  }} />
                </pre>
              </div> :
              null
          }
        </section>
      </section>
    );
  }
}
